--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 20/004
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              30-DEC-99   Generis           20.6
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to regress MDD change 20/004
PROMPT
PROMPT Version 20.6
PROMPT
--
PROMPT
PROMPT Regress amend CGS as MAM (MDD 20/004)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                      SET MARKET_PARTICIPANT_NAME = ''Commercial Gas Solutions Ltd'',
                              LAST_UPDATE_USER_ID = USER,
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''CGS''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Commercial Gas Solutions Ltd (CGS as MAM)'',
                              LAST_UPDATE_USER_ID = USER,
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''CGS''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET EFFECTIVE_TO_DATE = NULL,
                            MARKET_PARTICIPANT_ROLE_NAME = REPLACE(MARKET_PARTICIPANT_ROLE_NAME,''DELETED - '',''''),
                            LAST_UPDATE_USER_ID = USER,
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''CGS''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''MAP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
